Page MenuHomeSolus

Update python3-sip to 4.19.15
AbandonedPublic

Authored by BridouZ on Mar 7 2019, 7:38 AM.

Details

Reviewers
kyrios123
Group Reviewers
Triage Team
Summary

Changelog:

  • Changelog available here

Depends on D5622

Test Plan
  • Install OK
  • Rebuild python3-qt5 against it and rebuild qutebrowser OK

Diff Detail

Repository
R2543 python3-sip
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
BridouZ created this revision.Mar 7 2019, 7:38 AM
BridouZ requested review of this revision.Mar 7 2019, 7:38 AM
BridouZ edited the summary of this revision. (Show Details)Mar 7 2019, 7:39 AM
BridouZ updated this revision to Diff 13950.Mar 20 2019, 5:19 PM

Bump package.yml to 4.19.15

BridouZ retitled this revision from Update python3-sip to 4.19.14 to Update python3-sip to 4.19.15.Mar 20 2019, 5:19 PM
kyrios123 requested changes to this revision.Mar 21 2019, 9:51 PM
kyrios123 added a subscriber: kyrios123.

Please also test this against cura and puddletag (see T7631 and T7647 for details).

It might eventually be necessary to re-engineer a little the sip packages (look at arch package to get some inspiration)

This revision now requires changes to proceed.Mar 21 2019, 9:51 PM

Please also test this against cura and puddletag (see T7631 and T7647 for details).

It might eventually be necessary to re-engineer a little the sip packages (look at arch package to get some inspiration)

Does not work against puddletag because package.yml as --sip-module PyQt5.sip

I do not know what can be done to re-engineer it.

kyrios123 abandoned this revision.Apr 22 2019, 8:10 AM

python & python3 sip have been merged